[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.AsDate

Get/Set parameter value as a date (TDateTime) value

## Declaration

Source position: db.pas line 1255

`public property TParam.AsDate : TDateTime read GetAsDateTime write SetAsDate;`

## Description

AsDate will return the parameter value as a date value. If it is written, the value is set to the specified value and the data type is set to ftDate.

## See also

TParam.AsDateTime |  | Get/Set parameter value as a date/time (TDateTime) value
TParam.AsTime |  | Get/Set parameter value as a time (TDateTime) value
TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant